﻿using Microsoft.Practices.Prism.Mvvm;

namespace WpfModel.Repository
{
  public sealed class GenericRepository<TItem> : IGenericRepository<TItem>
    where TItem : BindableBase
  {
    private readonly ItemList<TItem> _repositoryItems;

    public GenericRepository()
    {
      _repositoryItems = new ItemList<TItem>();
    }

    public ItemList<TItem> Items
    {
      get
      {
        return _repositoryItems;
      }
    }

    public void Add(TItem item)
    {
      _repositoryItems.Add(item);
    }

    public void Delete(TItem item)
    {
      _repositoryItems.Remove(item);
    }

    public void Save(TItem item)
    {

    }
  }
}
