﻿using Microsoft.Practices.Prism.Mvvm;

namespace WpfModel.Repository
{
  public interface IGenericRepository<TITem>
    where TITem : BindableBase
  {
    ItemList<TITem> Items { get; }
    void Add(TITem item);
    void Delete(TITem item);
    void Save(TITem item);
  }
}
