﻿using System;
using System.Windows.Controls;
using WpfModel.Repository;

namespace WpfModel.Validation
{
  public sealed class ValidationResultBase : ValidationResult
  {
    private readonly Item _item;
    public Item Item
    {
      get { return _item; }
    }

    public ValidationResultBase(Boolean isValid, Object errorContent, Item item)
      : base(isValid, errorContent)
    {
      _item = item;
    }
  }
}
