﻿using System;
using System.Globalization;
using System.Windows.Data;

namespace WpfView.Converters
{
  public class DateTimeConverter : IValueConverter
  {
    #region IValueConverter Members

    public object Convert(object value, Type targetType, object parameter, CultureInfo culture)
    {
      if (value != null)
      {
        DateTime test = (DateTime)value;
        string date = test.ToString("dd.MM.yyyy");
        return (date);
      }

      return string.Empty;
    }

    public object ConvertBack(object value, Type targetType, object parameter, CultureInfo culture)
    {
      DateTime date;
      string stringDate = value != null ? value.ToString() : String.Empty;
      
      DateTime.TryParse(stringDate, out date);
      return date;
    }

    #endregion
  }
}
